import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.ColInfo;
import quadbase.ChartAPI.DbData;
import quadbase.ChartAPI.QbChart;

public class ChartSwitchToArrayData extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			ChartSwitchToArrayData chart = new ChartSwitchToArrayData();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doChartSwitchToArrayData(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doChartSwitchToArrayData(this));
	}

	Component doChartSwitchToArrayData(Applet parent) {

		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		String[] dataTypes = { "String", "double", "int" };
		String[] colNames = { "Product", "Unit Price", "Volume" };
		String[][] records = { { "Double Ended Table", "254.99", "32" },
				{ "Glass Table", "125.99", "56" },
				{ "Wood Chair", "54.00", "87" },
				{ "Moraccon Chair", "87.99", "65" },
				{ "Double Dresser", "189.99", "32" } };

		DbData newData = new DbData(dataTypes, colNames, records);

		ColInfo colInfo = new ColInfo();
		colInfo.category = 0;
		colInfo.value = 1;
		colInfo.subvalue = 2;

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"ChartSwitchToArrayData.cht"); // template

		try {
			// Switch data source
			chart.gethInputData().setData(newData);

			// Refresh chart
			chart.refresh();
		} catch (Exception ex)
		{
			ex.printStackTrace();

		}

		// Show chart in Viewer
		return chart;
	}

}
